Share feedback
Answers are generated based on the documentation.

Update the details for an organization group

PUT/v2/orgs/{org_name}/groups/{group_name}

Update the details for an organization group.

This operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • bearerAuth

Parameters

org_name path Required

Name of the organization (namespace).

Type: string

All schema constraints and annotations
{
  "type": "string"
}

group_name path Required

Name of the group (team) in the organization.

Type: string

All schema constraints and annotations
{
  "example": "developers",
  "type": "string"
}

Request and responses

Request

application/json

description

Type: string

All schema constraints and annotations
{
  "type": "string"
}
name · required

Type: string

All schema constraints and annotations
{
  "type": "string"
}
All schema constraints and annotations
{
  "examples": [
    {
      "description": "Development team",
      "name": "developers"
    }
  ],
  "properties": {
    "description": {
      "type": "string"
    },
    "name": {
      "type": "string"
    }
  },
  "required": [
    "name"
  ]
}

Schema example

{
  "description": "Development team",
  "name": "developers"
}

Response 200

application/json

Schema: org_group

Schema example

{
  "description": "Development team",
  "id": 10,
  "member_count": 1,
  "name": "developers",
  "role": "member",
  "uuid": "e36eca69-4cc8-4f17-9845-ae8c2b832691"
}

Response 401

Unauthorized

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "unauthorized"
}

Response 403

Forbidden

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "permission denied"
}

Response 404

Not Found

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "not found"
}

Referenced schemas

#/components/schemas/org_group

Complete operation contract
{
  "description": "Update the details for an organization group.\n\nThis operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.\n",
  "operationId": "putV2OrgsByOrgNameGroupsByGroupName",
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "examples": [
            {
              "description": "Development team",
              "name": "developers"
            }
          ],
          "properties": {
            "description": {
              "type": "string"
            },
            "name": {
              "type": "string"
            }
          },
          "required": [
            "name"
          ]
        }
      }
    }
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/org_group"
          }
        }
      },
      "description": ""
    },
    "401": {
      "$ref": "#/components/responses/unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/forbidden"
    },
    "404": {
      "$ref": "#/components/responses/not_found"
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "summary": "Update the details for an organization group",
  "tags": [
    "groups"
  ]
}